# Facebook Catalog Browser
# Designed to work with Bright Software Solutions - eCommerce Catalog Browser
# We recommend you BACKUP your database prior to installing any SQL scripts

SET @configuration_group_id=0;
SELECT (@configuration_group_id:=configuration_group_id) 
FROM configuration_group 
WHERE configuration_group_title= 'Facebook Catalog Browser' 
LIMIT 1;
DELETE FROM configuration WHERE configuration_group_id = @configuration_group_id AND @configuration_group_id != 0;
DELETE FROM configuration_group WHERE configuration_group_id = @configuration_group_id AND @configuration_group_id != 0;

INSERT INTO configuration_group (configuration_group_id, configuration_group_title, configuration_group_description, sort_order, visible)
VALUES (NULL, 'Facebook Catalog Browser', 'Set Catalog Browser Options', '1', '1');
SET @configuration_group_id=last_insert_id();
UPDATE configuration_group SET sort_order = @configuration_group_id WHERE configuration_group_id = @configuration_group_id;

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) 
VALUES (NULL, 'Catalog Browser Plugin Key', 'BSS_PLUGIN_KEY', SUBSTRING(MD5(RAND()) FROM 1 FOR 9), 'This plugin key is used during Facebook Application setup, feel free to change this unique key a secure alternative if required.', @configuration_group_id, 0, NOW(), NULL, NULL);

INSERT INTO admin_pages (page_key,language_key,main_page,page_params,menu_key,display_on_menu,sort_order)
VALUES ('configeCommerceBrowser','BOX_CONFIGURATION_ECOMMERCEBROWSER','FILENAME_CONFIGURATION',concat('gID=',@configuration_group_id),'configuration','Y',@configuration_group_id);
